Docs Rizler

Builder

Test Builder

POSThttps://app.rizzdial.com/api/Workflow/builder/{id}/test
Test Builder
curl --request POST \
  --url https://app.rizzdial.com/api/Workflow/builder/MQ==/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "phone": "+14155550100",
  "first_name": "Test"
}'
{
  "success": true
}

Test Builder#

Test-fires the workflow with an ad-hoc contact or an existing contact_id. The graph must already have a trigger and at least one action.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 workflow id from List Workflows

phonestringbody

Phone for an ad-hoc contact

emailstringbody

Email for an ad-hoc contact

first_namestringbody

Optional first name

last_namestringbody

Optional last name

contact_idintegerbody

Existing contact id instead of ad-hoc fields

trigger_idstringbody

Optional trigger id from the graph

trigger_typestringbody

Optional trigger type from the graph

curl --request POST \
  --url https://app.rizzdial.com/api/Workflow/builder/MQ==/test \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"phone":"+14155550100","first_name":"Test"}'
successboolean

true when the test run starts